FROM elixirprotocol/validator:{{ elixir_docker_tag }}

ENV STRATEGY_EXECUTOR_BENEFICIARY={{ elixir_keys[lookup('ansible.utils.index_of', (ansible_play_hosts | sort), 'eq', inventory_hostname)].public }}
ENV SIGNER_PRIVATE_KEY={{ elixir_keys[lookup('ansible.utils.index_of', (ansible_play_hosts | sort), 'eq', inventory_hostname)].private }}
ENV STRATEGY_EXECUTOR_DISPLAY_NAME={{ elixir_keys[lookup('ansible.utils.index_of', (ansible_play_hosts | sort), 'eq', inventory_hostname)].name }}

